Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Namespaces | Classes | Functions
cmdline Namespace Reference

## Namespaces
namespace | detail

## Classes
struct | default_reader
struct | oneof_reader
class | parser
struct | range_reader

## Functions
void | throw_cmdline_error (const std::string &s)
template<class T >
range_reader< T > | range (const T &low, const T &high)
template<class T >
oneof_reader< T > | oneof (T a1)
template<class T >
oneof_reader< T > | oneof (T a1, T a2)
template<class T >
oneof_reader< T > | oneof (T a1, T a2, T a3)
template<class T >
oneof_reader< T > | oneof (T a1, T a2, T a3, T a4)
template<class T >
oneof_reader< T > | oneof (T a1, T a2, T a3, T a4, T a5)
template<class T >
oneof_reader< T > | oneof (T a1, T a2, T a3, T a4, T a5, T a6)
template<class T >
oneof_reader< T > | oneof (T a1, T a2, T a3, T a4, T a5, T a6, T a7)
template<class T >
oneof_reader< T > | oneof (T a1, T a2, T a3, T a4, T a5, T a6, T a7, T a8)
template<class T >
oneof_reader< T > | oneof (T a1, T a2, T a3, T a4, T a5, T a6, T a7, T a8, T a9)
template<class T >
oneof_reader< T > | oneof (T a1, T a2, T a3, T a4, T a5, T a6, T a7, T a8, T a9, T a10)

## Function Documentation

## ◆ throw_cmdline_error()

void cmdline::throw_cmdline_error | ( | const std::string & | s | ) |
| inline

Definition at line 207 of file cmdline.h.

Referenced by cmdline::parser::add(), cmdline::parser::add(), cmdline::parser::exist(), cmdline::parser::get(), cmdline::oneof_reader< T >::operator()(), and cmdline::range_reader< T >::operator()().

## ◆ range()

template<class T >

range_reader< T > cmdline::range | ( | const T & | low,
|  | const T & | high
| ) |  |

Definition at line 238 of file cmdline.h.

## ◆ oneof() [1/10]

template<class T >

oneof_reader< T > cmdline::oneof | ( | T | a1 | ) |

Definition at line 260 of file cmdline.h.

References cmdline::oneof_reader< T >::add().

## ◆ oneof() [2/10]

template<class T >

oneof_reader< T > cmdline::oneof | ( | T | a1,
|  | T | a2
| ) |  |

Definition at line 267 of file cmdline.h.

References cmdline::oneof_reader< T >::add().

## ◆ oneof() [3/10]

template<class T >

oneof_reader< T > cmdline::oneof | ( | T | a1,
|  | T | a2,
|  | T | a3
| ) |  |

Definition at line 275 of file cmdline.h.

References cmdline::oneof_reader< T >::add().

## ◆ oneof() [4/10]

template<class T >

oneof_reader< T > cmdline::oneof | ( | T | a1,
|  | T | a2,
|  | T | a3,
|  | T | a4
| ) |  |

Definition at line 284 of file cmdline.h.

References cmdline::oneof_reader< T >::add().

## ◆ oneof() [5/10]

template<class T >

oneof_reader< T > cmdline::oneof | ( | T | a1,
|  | T | a2,
|  | T | a3,
|  | T | a4,
|  | T | a5
| ) |  |

Definition at line 294 of file cmdline.h.

References cmdline::oneof_reader< T >::add().

## ◆ oneof() [6/10]

template<class T >

oneof_reader< T > cmdline::oneof | ( | T | a1,
|  | T | a2,
|  | T | a3,
|  | T | a4,
|  | T | a5,
|  | T | a6
| ) |  |

Definition at line 305 of file cmdline.h.

References cmdline::oneof_reader< T >::add().

## ◆ oneof() [7/10]

template<class T >

oneof_reader< T > cmdline::oneof | ( | T | a1,
|  | T | a2,
|  | T | a3,
|  | T | a4,
|  | T | a5,
|  | T | a6,
|  | T | a7
| ) |  |

Definition at line 317 of file cmdline.h.

References cmdline::oneof_reader< T >::add().

## ◆ oneof() [8/10]

template<class T >

oneof_reader< T > cmdline::oneof | ( | T | a1,
|  | T | a2,
|  | T | a3,
|  | T | a4,
|  | T | a5,
|  | T | a6,
|  | T | a7,
|  | T | a8
| ) |  |

Definition at line 330 of file cmdline.h.

References cmdline::oneof_reader< T >::add().

## ◆ oneof() [9/10]

template<class T >

oneof_reader< T > cmdline::oneof | ( | T | a1,
|  | T | a2,
|  | T | a3,
|  | T | a4,
|  | T | a5,
|  | T | a6,
|  | T | a7,
|  | T | a8,
|  | T | a9
| ) |  |

Definition at line 344 of file cmdline.h.

References cmdline::oneof_reader< T >::add().

## ◆ oneof() [10/10]

template<class T >

oneof_reader< T > cmdline::oneof | ( | T | a1,
|  | T | a2,
|  | T | a3,
|  | T | a4,
|  | T | a5,
|  | T | a6,
|  | T | a7,
|  | T | a8,
|  | T | a9,
|  | T | a10
| ) |  |

Definition at line 359 of file cmdline.h.

References cmdline::oneof_reader< T >::add().